%define svnrev 3930
%define dbus_version 1.1
%define libdbus_glib_version 0.76
%define hal_version 0.5.0

%define libnl_version 1.1
%define ppp_version 2.2.4
%define wpa_supplicant_version 0.5.10-alt3
%define dhcpcd_version 3.0.0

Name: NetworkManager
Version: 0.7.0
Release: alt3.svn.r%svnrev.M41.11
License: GPL v2 or later
Group: System/Configuration/Networking
Summary: Network Link Manager and User Applications
Url: http://www.gnome.org/projects/NetworkManager/
Packager: Mikhail Efremov <sem@altlinux.org>
Source: %name-%version.tar.gz
Source1: nm-system-settings.conf
Source2: update-chrooted
Patch1: %name-0.7.0-alt-no-strict-aliasing.patch
Patch2: %name-0.7.0-alt-supplicant-driver.patch
Patch3: %name-0.7.0-alt-no_check_dhclient.patch
Patch4: %name-0.7.0-alt-supplicant_interface.patch
Patch5: %name-0.7.0-alt-kill_supplicant.patch
Patch6: alt-state-if-etcnet.patch
Patch7: alt-no-system.patch
Patch8: alt-set-iwconfig-essid.patch
Patch9: alt-wait-child.patch
Patch10: alt-no-default-connection.patch
Patch11: alt-dhcp-client-pid.patch
Patch12: alt-remove-device.patch

Requires: dbus >= %dbus_version
Requires: wpa_supplicant >= %wpa_supplicant_version
Requires: hal >= %hal_version
Requires: iproute2 openssl
Requires: libnl >= %libnl_version
Requires: ppp >= %ppp_version
Requires: dhcpcd >= %dhcpcd_version
Requires: dhcpcd < 4.0.0
Requires: nss >= 3.11.7
Requires: libgio
Requires: ppp-pppoe
Requires: dnsmasq
Conflicts: dhcp-client
Conflicts: NetworkManager-vpnc < 0.7.0-alt1.svn.r3930
Conflicts: NetworkManager-openvpn < 0.7.0-alt2.svn.r3930
Conflicts: NetworkManager-gnome < 0.7.0-alt1.svn.r838

BuildPreReq: intltool libgcrypt-devel libtool
# For %_libdir/ppp/2.4.4/*
BuildPreReq: ppp

# Automatically added by buildreq on Mon Apr 21 2008
BuildRequires: glibc-devel-static iproute2 libhal-devel libnl-devel libwireless-devel ppp-devel
BuildRequires: libdbus-glib-devel >= %libdbus_glib_version
BuildRequires: libpolkit-devel libnss-devel libgio-devel

%description
NetworkManager attempts to keep an active network connection available
at all times.  The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.	If
using DHCP, NetworkManager is intended to replace default routes,
obtain IP addresses from a DHCP server, and change name servers
whenever it sees fit.

%package devel
License: GPL v2 or later
Summary: Libraries and headers for adding NetworkManager support to applications
Group: Development/Other
Requires: libdbus-glib >= %libdbus_glib_version
Requires: libdbus-devel >= %dbus_version
Requires: pkgconfig

%description devel
This package contains various headers accessing some NetworkManager
functionality from applications.

%package glib
License: GPL v2 or later
Summary: Libraries for adding NetworkManager support to applications that use glib
Group: Development/GNOME and GTK+
Requires: dbus >= %dbus_version
Requires: libdbus-glib >= %libdbus_glib_version

%description glib
This package contains the libraries that make it easier to use some
Network Manager functionality from applications that use glib.

%package glib-devel
Summary: Header files for adding NetworkManager support to applications that use glib.
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release
Requires: %name-glib = %version-%release
Requires: glib2-devel
Requires: pkgconfig
Requires: libdbus-glib-devel >= %libdbus_glib_version

%description glib-devel
This package contains the header and pkg-config files for development applications using
NetworkManager functionality from applications that use glib.

%prep
%setup -n %name-%version
pppddir=`ls -1d /usr/%_lib/pppd/2*`
test -n "$pppddir" || exit 1
%patch1 -p1 -b .no-strict-aliasing
%patch2 -p1 -b .supplicant-driver
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p2
%patch8 -p1
%patch9 -p2
%patch10 -p2
%patch11 -p2
%patch12 -p2

%build
%autoreconf
%configure\
    --libexecdir=%_libexecdir/NetworkManager\
    --disable-static\
    --with-gcrypt=yes\
    --with-distro=alt\
    --with-pppd-plugin-dir=$pppddir\
    --with-dhcp-client=%_sbindir/dhclient
%make_build

cd ./dhclient
%make_build
cd ..

%install
%make_install DESTDIR=%buildroot install
%find_lang %name
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_sysconfdir/NetworkManager/VPN
./libtool --mode=install install -m 755 test/nm-online %buildroot%_bindir/
mkdir -p %buildroot/var/log/
touch %buildroot/var/log/NetworkManager
mkdir -p %buildroot/var/run/NetworkManager
install -m 0644 %SOURCE1 %buildroot%_sysconfdir/NetworkManager/
install -m 755 %SOURCE2 %buildroot%_sysconfdir/NetworkManager/dispatcher.d/

cd ./dhclient
%make_install DESTDIR=%buildroot install
cd ..

%post
if /sbin/service messagebus status &>/dev/null; then
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig &>/dev/null ||:
%post_service %name
else
echo "NetworkManager requires running messagebus service." >&2
fi

%preun
%preun_service %name
if [ $1 -eq 0 ]; then
    killall -TERM nm-system-settings >/dev/null 2>&1 ||:
fi

%post glib -p %post_ldconfig

%postun glib -p %post_ldconfig

%files -f %name.lang
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING TODO
%_bindir/nm-tool
%_bindir/nm-online
%_libdir/pppd/2.4.4/nm-pppd-plugin.so
%_datadir/NetworkManager
%_datadir/dbus-1/system-services/*.service
%dir %_localstatedir/run/NetworkManager
%doc %_man1dir/*.*
%doc %_man8dir/*.*
%dir %_libexecdir/NetworkManager/
%dir %_libdir/NetworkManager/
%_libdir/NetworkManager/libnm-*.so
%_libexecdir/NetworkManager/nm-*
%_sbindir/*
%_sysconfdir/dbus-1/system.d/*.conf
%_sysconfdir/NetworkManager/nm-system-settings.conf
%_initrddir/NetworkManager
%dir %_sysconfdir/NetworkManager
%dir %_sysconfdir/NetworkManager/dispatcher.d
%dir %_sysconfdir/NetworkManager/VPN
%dir /var/run/NetworkManager
%ghost %config(noreplace) /var/log/NetworkManager
%_datadir/PolicyKit/policy/*.policy
%_sysconfdir/NetworkManager/dispatcher.d/*

%files devel
%dir %_includedir/%name
%_includedir/%name/%name.h
%_includedir/%name/NetworkManagerVPN.h
%_pkgconfigdir/%name.pc

%files glib
%_libdir/libnm_glib.so.*
%_libdir/libnm_glib_vpn.so.*
%_libdir/libnm-util.so.*

%files glib-devel
%dir %_includedir/libnm-glib
%_includedir/libnm-glib/*.h
%_includedir/%name/nm-*.h
%_pkgconfigdir/libnm_glib.pc
%_pkgconfigdir/libnm_glib_vpn.pc
%_pkgconfigdir/libnm-util.pc
%_libdir/libnm_glib.so
%_libdir/libnm_glib_vpn.so
%_libdir/libnm-util.so

%exclude %_libdir/NetworkManager/*.la
%exclude %_libdir/pppd/2.4.4/*.la

%changelog
* Mon Dec 08 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn.r3930.M41.11
- remove NetworkManager-devel -> NetworkManager requires(close #18129)
- alt-dhcp-client-pid.patch is added (close #18021).
- remove device from hash table before sending signal.

* Mon Dec 01 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn.r3930.M41.10
- don't create default connection in nm-system-settings daemon
        (nm-applet do it)

* Thu Nov 27 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn.r3930.M41.9
- dnsmasq requires is added

* Wed Nov 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn.r3930.M41.8
- fix zombies bug (close #17225)

* Tue Nov 11 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn.r3930.M41.7
- alt-set-iwconfig-essid.patch	
	(dirty patch for set essid when connecting to wireless networks)
- update-chrooted dispatcher script is added
- fix %preun
- ppp-pppoe requires is added

* Wed Oct 01 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt3.svn.r3930.M41.6
- expiremental patch for not exposyng system connections to user

* Thu Sep 11 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt3.svn.r3930.M41.5
- expiremental dirty patch to not set DISCONNECTED state when there are routes 

* Thu Sep 04 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt3.svn.r3930.M41.4
- port to M41 

* Tue Aug 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt4.svn.r3930
- new svn snapshot
- %post updated (D-Bus config reload; add %post_service)

* Wed Aug 06 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt4.svn20080722
- spec cleanup
- split NetworkManager-glib on NetworkManager-glib and NetworkManager-glib-devel
- NetworkManager-0.7.0-alt-kill_supplicant.patch is added
	(not kill all wpa_supplicant, only for managed interfaces)
- NetworkManager-0.7.0-alt-supplicant_interface.patch
	(release the interface when NM exit)

* Tue Jul 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn20080722
- new svn snapshot (3842)
- .la files are not packaged (close #15840)

* Wed May 28 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn20080527
- new svn snapshot (3694)
- nm-system-settings plugin is completely rewritten

* Tue May 13 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn20080428
- reading "WPA_DRIVER" from "/etc/net/ifaces/<interface>/options" is added

* Mon May 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn20080428
- killall wpa_supplicant on start
- nm-system-settings plugin update

* Tue Apr 29 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080428
- new svn snapshot (3614)
- dhcpcd-1.3.x -> dhcpcd-3.0.x
- spec cleanup

* Tue Apr 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080419
- initial build

